Bug 169342 - iptables multiple SNAT doesnt work
iptables multiple SNAT doesnt work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-27 04:55 EDT by V
Modified: 2014-06-18 04:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 17:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description V 2005-09-27 04:55:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 2.0.50215)

Description of problem:
Hello,

kernel: kernel-smp-2.6.12-1.1456_FC
iptables: iptables-1.3.0-2

problem: I can not add multiple SNAT addresses:

[root@gw ~]# iptables -v -t nat -A POSTROUTING -s 192.168.0.0/24 -j SNAT --to 192.168.1.1 --to 192.168.1.2

SNAT  all opt -- in * out *  192.168.0.0/24  -> 0.0.0.0/0  to:192.168.1.1 192.168.1.2
iptables: Invalid argument

iptables should work like that. If I add like:
[root@gw ~]# iptables -t nat -A POSTROUTING -s 192.168.0.0/24 -j SNAT --to 192.168.1.1-192.168.1.2

It does not show errors, but it does not do NAT at all. With one IP address SNAT works ok.
So, when this bug will be fixed?

regards,
V.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. iptables -v -t nat -A POSTROUTING -s 192.168.0.0/24 -j SNAT --to 192.168.1.1 --to 192.168.1.2
2.
3.
  

Actual Results:  SNAT  all opt -- in * out *  192.168.0.0/24  -> 0.0.0.0/0  to:192.168.1.1 192.168.1.2
iptables: Invalid argument


Expected Results:  It should work ok.

Additional info:

iptables -t nat -A POSTROUTING -s 192.168.0.0/24 -j SNAT --to 192.168.1.1-192.168.1.2

It does not show errors, but it does not do NAT at all. With one IP address SNAT works ok.
Comment 1 Thomas Woerner 2005-11-18 07:00:21 EST
This is not an iptables userland problem.
It is a kernel problem, threfore assigning to kernel.
Comment 2 Dave Jones 2005-12-08 00:55:37 EST
is this still a problem with the latest errata kernel ?
Comment 3 Dave Jones 2006-02-03 01:54:54 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-05 17:29:22 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.